Get Assets Tab Report

For API version information, refer to the API Version History section.

V1.0 | V2.0

V1.0

Use this API to generate the asset tab report for Windows and Linux assets that match the requested filters in the input.

Note: The API rate limit is 10 requests per hour per customer. 

GET/pm/v1/report/asset

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

havingQuery

Optional

string

Specify a QQL to filter assets based on patches search criteria.

For example, category:"Security Patches"

query

Optional

string

Specify a QQL to filter assets based on search criteria.

For example, name:'Asset-windowsmachine1'

Append the QQL (patchStatus:[Missing,Installed] and isSuperseded:false) to filter the latest missing and installed patches.

sort

Optional

string

Sort the asset values by certain data.

For example, [{"name":"asc"}]

platform

Optional

string

Specify the platform to download the report. The supported options are Windows and Linux.

Sample - Get the asset tab report with specified filters. (Example: Report generation for the Windows platform)Sample - Get the asset tab report with specified filters. (Example: Report generation for the Windows platform)

API request

    
        curl -X GET 
        "https://<QualysBaseURL>/pm/v1/report/asset?havingQuery=isSecurity%3A%20true&platform=Windows&query=tags.name%3A%20%60Cloud%20Agent%60%20and%20%28patchStatus%3A%20%5BMissing%5D%20and%20isSuperseded%3A%20false%29&sort=%5B%7B%22name%22%3A%22asc%22%7D%5D" -H "accept: application/json" -H "Authorization: Bearer <jwt token>"
    

Response

    
        {
    "reportId": "fdeff786-7c63-42fc-b64f-60560671df06"
}
    

V2.0

GET/pm/v2/report/asset

In this version, the Get Assets Report v1 API has been enhanced to allow you to provide only the required columns and generate a customized assets report according to the filters provided in the input. All columns are selected by default, but you can modify and provide only the required columns. 

If you provide an empty request body and null parameters, the API will generate a report including all the columns. 

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

havingQuery

Optional

string

Specify a QQL to filter assets based on patches search criteria.

For example, category:"Security Patches"

query

Optional

string

Specify a QQL to filter assets based on search criteria.

For example, name:'Asset-windowsmachine1'

Append the QQL (patchStatus:[Missing,Installed] and isSuperseded:false) to filter the latest missing and installed patches.

sort

Optional

string

Sort the asset values by certain data.

For example, [{"name":"asc"}]

platform

Optional

string

Specify the platform to download the report. The supported options are Windows and Linux.

reportFormat Mandatory string Specify the report format as PDF or CSV.
Note: You can provide maximum 5 columns for PDF report.

Sample - Generate Asset ReportSample - Generate Asset Report

API Request

curl -X 'POST' \
  '<qualys_base_url>/pm/v2/report/asset' 
  -H 'accept: application/json' 
  -H 'Authorization: Bearer <JWT_Token>
  -H 'Content-Type: application/json' 
  -d

API Body

'{
  "name": "Asset Report",
  "description": "Asset Report Description",
  "platform": "Windows",
  "query": "asset.status:Scanned",
  "havingQuery": "patch.isRebootRequired:false",
  "reportFormat":"CSV"
  "columnsToDisplay": {
    "asset": [
      "rowId",
      "assetId",
      "assetName",
      "operatingSystem",
      "assetStatus",
      "scannedOn",
      "lastUser",
      "netBios",
      "patchStatus",
      "patchId",
      "patchTitle",
      "publishedDate",
      "architecture",
      "category",
      "bulletin",
      "kb",
      "qid",
      "cve",
      "severity"
      "assetIpv6Address"
      "assetIp"
    ]

API Response

{
  "reportId": "3c41aa33-f4bd-4982-8880-87024741e3f9"
}

API Version History

API Version API Status Release Date
/pm/v1/report/asset To be deprecated July 2026
/pm/v2/report/asset Active October 2025